// Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers
// See the COPYRIGHT file at the top-level directory of this distribution

// Abelujo is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// Abelujo is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.

// You should have received a copy of the GNU Affero General Public License
// along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.

//- DEPRECATED. Deletion date: beginning of 2024.

{% extends "base.html" %}

{% block auto_command_nb %} {{ auto_command_nb }} {% endblock %}

{% block pagetitle %}
{{ page_title }}
{% endblock pagetitle%}

{% block content %}

{% load i18n %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load ngfilter %}
{% load humanize %}

a.btn.btn-primary(href="{% url 'deposits_new' %}") {% trans "New deposit" %}

.btn-group
  a.btn.btn-default(role="button"
                    href="http://abelujo.cc/docs/deposits/"
                    target="_blank",
                    title='{% trans "Read the documentation" %}')
     i.glyphicon.glyphicon-question-sign



if depo_fix
  h3 {% trans "Deposits of the bookstore" %}
  .btn-group
    span.text-right(aria-label="page navigation")
       ul.pagination()
         li.page-item
           a.page-link(href="?page=1") &laquo;
         if depo_fix.has_previous
           li.page-item
             a.page-link(href="?page={{ depo_fix.previous_page_number }}") <
         li.page-item
           a.page-link Page {{ meta.page }} / {{ meta.num_pages }} ({{ meta.nb_results }})
         if depo_fix.has_next
           li.page-item
             a.page-link(href="?page={{ depo_fix.next_page_number }}") >
         li.page-item
             a.page-link(href="?page={{ meta.num_pages }}") &raquo;


  table.table.table-striped.table-hover
   thead
    tr
        th {% trans "Deposit's name" %}
        th {% trans "Supplier" %}
        th {% trans "Last deposit state" %}

        th {% trans "Initial qty" %}
        th {% trans "Total price" %}

        th {% trans "Due date" %}

   tbody
    for dep in depo_fix
      tr
        td.col-md-3
            a(href="{{ dep.get_absolute_url }}") {{ dep.name }}
        td {{ dep.distributor.name }}
        td {{ dep.last_checkout_date }}

        td.text-right {{ dep.init_qty }}
        td.text-right {{ dep.total_init_price | floatformat:2 | intcomma }} {% trans "€" %}

        td {{ dep.due_date }}

else
  h4 {% trans "No deposits." %}

{% endblock content %}